%define oname   urlgrabber

%global majorver 4
%global minorver 1
%global patchver 0
%global dashversion %{majorver}-%{minorver}-%{patchver}

Summary:        A high-level cross-protocol url-grabber
Name:           python-%oname
Version:        %{majorver}.%{minorver}.%{patchver}
Release:        %mkrel 2
License:        LGPLv2+
Group:          Development/Python
Url:            http://urlgrabber.baseurl.org/
#Source0:        http://urlgrabber.baseurl.org/download/%{oname}-%{version}.tar.gz
Source0:        https://github.com/rpm-software-management/urlgrabber/releases/download/urlgrabber-%{dashversion}/urlgrabber-%{version}.tar.gz

BuildArch:      noarch

%global _description \
A high-level cross-protocol url-grabber. \
\
Using urlgrabber, data can be fetched in three basic ways: \
\
  urlgrab(url) copy the file to the local filesystem \
  urlopen(url) open the remote file and return a file object (like \
  urllib2.urlopen) \
  urlread(url) return the contents of the file as a string \
\
When using these functions (or methods), urlgrabber supports the following \
features: \
\
  * identical behavior for http://, ftp://, and file:// urls \
  * http keepalive - faster downloads of many files by using only a single \
    connection \
  * byte ranges - fetch only a portion of the file \
  * reget - for a urlgrab, resume a partial download \
  * progress meters - the ability to report download progress automatically, \
    even when using urlopen! \
  * throttling - restrict bandwidth usage \
  * retries - automatically retry a download if it fails. The number of retries \
    and failure types are configurable. \
  * authenticated server access for http and ftp \
  * proxy support - support for authenticated http and ftp proxies \
  * mirror groups - treat a list of mirrors as a single source, automatically \
    switching mirrors if there is a failure.

%description %_description

%package -n     python3-%oname
Summary:        A high-level cross-protocol url-grabber
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pycurl)
BuildRequires:  python3dist(six)
%{?python_provide:%python_provide python3-%{oname}}

%description -n python3-%oname %_description


%prep
%autosetup -n %oname-%version -p1

%build
%py3_build

%install
%py3_install

mv %buildroot%_datadir/doc/%oname-%version/ installed-docs

sed -e "s|/usr/bin/python|%{__python3}|" -i %{buildroot}%{_libexecdir}/%oname-ext-down


%files -n python3-%oname
%license LICENSE
%doc installed-docs/*
%{_bindir}/%oname
%{_libexecdir}/%oname-ext-down
%{python3_sitelib}/%oname/
%{python3_sitelib}/*.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 4.1.0-2.mga8
+ Revision: 1535076
- Mageia 8 Mass Rebuild

* Thu Oct 10 2019 daviddavid <daviddavid> 4.1.0-1.mga8
+ Revision: 1451138
- new version: 4.1.0

* Mon Sep 16 2019 tv <tv> 4.0.0-2.mga8
+ Revision: 1442518
- rebuild for python-3.8
- drop python2 subpkg

* Mon Feb 25 2019 ngompa <ngompa> 4.0.0-1.mga7
+ Revision: 1370081
- Update to 4.0.0
- Add Python 3 subpackage and have binaries as Python 3

* Fri Sep 21 2018 umeabot <umeabot> 3.10.1-9.mga7
+ Revision: 1290451
- Mageia 7 Mass Rebuild

* Thu May 03 2018 daviddavid <daviddavid> 3.10.1-8.mga7
+ Revision: 1225472
- rename python-urlgrabber to python2-urlgrabber

* Sun May 08 2016 ngompa <ngompa> 3.10.1-7.mga6
+ Revision: 1010986
- Add patch from Fedora to fix failure on dead mirror (rhbz#1051554)

* Fri Feb 05 2016 umeabot <umeabot> 3.10.1-6.mga6
+ Revision: 939104
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.10.1-5.mga5
+ Revision: 744714
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.10.1-4.mga5
+ Revision: 729956
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.10.1-3.mga5
+ Revision: 688403
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Sat Mar 08 2014 philippem <philippem> 3.10.1-1.mga5
+ Revision: 601324
- update to 3.10.1

* Tue Oct 22 2013 umeabot <umeabot> 3.10-2.mga4
+ Revision: 544870
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 philippem <philippem> 3.10-1.mga4
+ Revision: 500420
- fix files list
- Update to 3.10

* Tue Oct 15 2013 pterjan <pterjan> 3.9.1-6.mga4
+ Revision: 499678
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 3.9.1-5.mga3
+ Revision: 379650
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 10 2011 ahmad <ahmad> 3.9.1-4.mga1
+ Revision: 67367
- imported package python-urlgrabber


* Fri Oct 29 2010 Michael Scherer <misc@mandriva.org> 3.9.1-3mdv2011.0
+ Revision: 590018
- rebuild for python 2.7
- rebuild for python 2.7

* Sun Sep 27 2009 Götz Waschk <waschk@mandriva.org> 3.9.1-1mdv2011.0
+ Revision: 449750
- new version
- drop patch 0
- add Fedora patch for int/float multiplication bug

* Wed Aug 05 2009 Götz Waschk <waschk@mandriva.org> 3.9.0-1mdv2010.0
+ Revision: 410206
- update build deps
- new version
- new url
- depend on pycurl
- add timeout patch from Fedora

* Mon Jun 08 2009 Götz Waschk <waschk@mandriva.org> 3.1.0-1mdv2010.0
+ Revision: 383899
- update to new version 3.1.0

* Mon Dec 29 2008 Crispin Boylan <crisb@mandriva.org> 3.0.0-2mdv2009.1
+ Revision: 321179
- Rebuild for 2.6

* Thu Aug 14 2008 Götz Waschk <waschk@mandriva.org> 3.0.0-1mdv2009.0
+ Revision: 271733
- new version
- update license

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 2.9.9-7mdv2009.0
+ Revision: 259857
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 2.9.9-6mdv2009.0
+ Revision: 247705
- rebuild

* Tue Feb 12 2008 Thierry Vignaud <tv@mandriva.org> 2.9.9-4mdv2008.1
+ Revision: 166738
- fix description-line-too-long
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Aug 20 2007 Thierry Vignaud <tv@mandriva.org> 2.9.9-4mdv2008.0
+ Revision: 67518
- rebuild


* Wed Dec 13 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.9.9-3mdv2007.0
+ Revision: 96456
- include egg-info files
- Import python-urlgrabber

* Fri Jul 21 2006 Götz Waschk <waschk@mandriva.org> 2.9.9-1mdv2007.0
- Rebuild

* Fri May 19 2006 Götz Waschk <waschk@mandriva.org> 2.9.9-1mdk
- New release 2.9.9

* Sat Feb 25 2006 Götz Waschk <waschk@mandriva.org> 2.9.8-1mdk
- New release 2.9.8

* Wed Jan 11 2006 Michael Scherer <misc@mandriva.org> 2.9.6-2mdk
- Use new python macro
- use mkrel

* Tue Apr 26 2005 Götz Waschk <waschk@mandriva.org> 2.9.6-1mdk
- New release 2.9.6

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 2.9.0-2mdk
- Rebuild for new python

* Thu Nov 25 2004 Götz Waschk <waschk@linux-mandrake.com> 2.9.0-1mdk
- initial package

